Package org.eclipse.emf.compare.match.eobject

# Class EUriFragmentFunction

java.lang.Object
org.eclipse.emf.compare.match.eobject.EUriFragmentFunction

All Implemented Interfaces:
  `com.google.common.base.Function<EObject,String>`, `Function<EObject,String>`

public class EUriFragmentFunction extends Object implements com.google.common.base.Function<EObject,String>
A function computing an URI Fragment. This implementation is based on org.eclipse.emf.ecore.impl.BasicEObjectImpl.eURIFragmentSegment(EStructuralFeature, EObject) no ID or specific code for a given EObject instance will be used, and that's on purpose, in the case of UML models for instance the specialization of the eURIFragment() method leads to a massive loss of performance for no added value in our current use case (matching references).

## Constructor Summary

Constructors
Constructor
Description
`EUriFragmentFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(EObject input)`
`String`
`eURIFragmentSegment(EObject container, EStructuralFeature eStructuralFeature, EObject eObject)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.common.base.Function

`equals`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### EUriFragmentFunction

public EUriFragmentFunction()

## Method Details

### apply

public String apply(EObject input)

Specified by:
  `apply` in interface `com.google.common.base.Function<EObject,String>`
Specified by:
  `apply` in interface `Function<EObject,String>`

### eURIFragmentSegment

public String eURIFragmentSegment(EObject container, EStructuralFeature eStructuralFeature, EObject eObject)